Projects
List the organisation's projects
The projects of the organization a request works in: its Default one first, then the others by name.
GET
/
v1
/
projects
List the organisation's projects
curl --request GET \
--url https://api.sqwish.ai/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"default": true,
"created_at": 123,
"archived_at": 123,
"monthly_limit_usd": "<string>",
"limit_stops": true,
"stopped": true,
"keys_revoked": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}List the organisation's projects
curl --request GET \
--url https://api.sqwish.ai/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"default": true,
"created_at": 123,
"archived_at": 123,
"monthly_limit_usd": "<string>",
"limit_stops": true,
"stopped": true,
"keys_revoked": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}